Loading...
Searching...
No Matches
Opm::SplineTwoPhaseMaterial< TraitsT, ParamsT > Class Template Reference

Implementation of a tabulated capillary pressure and relperm law which uses spline curves as interpolation functions. More...

`#include <SplineTwoPhaseMaterial.hpp>`

Inheritance diagram for Opm::SplineTwoPhaseMaterial< TraitsT, ParamsT >:

## Public Types

typedef TraitsT | Traits
| The traits class for this material law.
typedef ParamsT | Params
| The type of the parameter objects for this law.
typedef Traits::Scalar | Scalar
| The type of the scalar values for this law.

## Static Public Member Functions

template<class Container, class FluidState>
static void | capillaryPressures (Container &values, const Params &params, const FluidState &fluidState)
| The capillary pressure-saturation curve.
template<class Container, class FluidState>
static void | saturations (Container &, const Params &, const FluidState &)
| The saturations of the fluid phases starting from their pressure differences.
template<class Container, class FluidState>
static void | relativePermeabilities (Container &values, const Params &params, const FluidState &fluidState)
| The relative permeabilities.
template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | pcnw (const Params &params, const FluidState &fluidState)
| The capillary pressure-saturation curve.
template<class Evaluation>
static Evaluation | twoPhaseSatPcnw (const Params &params, const Evaluation &Sw)
| The saturation-capillary pressure curve.
template<class Evaluation>
static Evaluation | twoPhaseSatPcnwInv (const Params &params, const Evaluation &pcnw)
template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | Sw (const Params &, const FluidState &)
| The saturation-capillary pressure curve.
template<class Evaluation>
static Evaluation | twoPhaseSatSw (const Params &, const Evaluation &)
template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | Sn (const Params &params, const FluidState &fluidState)
| Calculate the non-wetting phase saturations depending on the phase pressures.
template<class Evaluation>
static Evaluation | twoPhaseSatSn (const Params &params, const Evaluation &pC)
template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | krw (const Params &params, const FluidState &fluidState)
| The relative permeability for the wetting phase of the porous medium.
template<class Evaluation>
static Evaluation | twoPhaseSatKrw (const Params &params, const Evaluation &Sw)
template<class Evaluation>
static Evaluation | twoPhaseSatKrwInv (const Params &params, const Evaluation &krw)
template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | krn (const Params &params, const FluidState &fluidState)
| The relative permeability for the non-wetting phase of the porous medium.
template<class Evaluation>
static Evaluation | twoPhaseSatKrn (const Params &params, const Evaluation &Sw)
template<class Evaluation>
static Evaluation | twoPhaseSatKrnInv (const Params &params, const Evaluation &krn)

## Static Public Attributes

static const int | numPhases = Traits::numPhases
| The number of fluid phases.
static const bool | implementsTwoPhaseApi = true
| Specify whether this material law implements the two-phase convenience API.
static const bool | implementsTwoPhaseSatApi = true
| Specify whether this material law implements the two-phase convenience API which only depends on the phase saturations.
static const bool | isSaturationDependent = true
| Specify whether the quantities defined by this material law are saturation dependent.
static const bool | isPressureDependent = false
| Specify whether the quantities defined by this material law are dependent on the absolute pressure.
static const bool | isTemperatureDependent = false
| Specify whether the quantities defined by this material law are temperature dependent.
static const bool | isCompositionDependent = false
| Specify whether the quantities defined by this material law are dependent on the phase composition.

## Detailed Description

template<class TraitsT, class ParamsT = SplineTwoPhaseMaterialParams<TraitsT>>
class Opm::SplineTwoPhaseMaterial< TraitsT, ParamsT >

Implementation of a tabulated capillary pressure and relperm law which uses spline curves as interpolation functions.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/SplineTwoPhaseMaterial.hpp